#!/bin/bash
source "${AGENT_PATH}/_common.sh"

# Nginx Example Ports Script


# Load service environment variables
source ./service.env

# This template uses HOST_PORT directly if set
# check_required_env_vars "HOST_PORT"

if [ -n "$HOST_PORT" ]; then
    echo $HOST_PORT
else
    # Default or logic to determine port if not in env
    echo 80 # Default Nginx port
fi
