#!/bin/bash
source "${AGENT_PATH}/_common.sh"

# Watchtower Uninstall Script


# Load service environment variables
source ./service.env
_check_required_env_vars "CONTAINER_NAME" "IMAGE_REGISTRY" "IMAGE_REPO" "IMAGE_TAG"

echo "Uninstalling service ${CONTAINER_NAME}..."
_remove_container $CONTAINER_NAME || _die "Failed to remove container ${CONTAINER_NAME}"

echo "Service ${CONTAINER_NAME} uninstalled."

# Note: Watchtower doesn't typically have volumes to nuke.

