#!/bin/bash
source "${AGENT_PATH}/_common.sh"

# Nginx Example Nuke Script
# Removes container and local data folder.


# Load service environment variables
source ./service.env
_check_required_env_vars "LOCAL_DATA_FOLDER" "CONTAINER_NAME"

# Call uninstall script first
./uninstall.sh

echo "Removing local data folder ${LOCAL_DATA_FOLDER}..."
rm -rf $LOCAL_DATA_FOLDER || _die "Failed to remove local data folder ${LOCAL_DATA_FOLDER}"

echo "Nuke complete for service ${CONTAINER_NAME}."
