#!/bin/bash
source "${AGENT_PATH}/_common.sh"

# Simple Object Storage Backup Script
# Creates a backup tarball of the volume contents.


_check_required_env_vars "CONTAINER_NAME" "VOLUME_NAME"

# HOT backup is fine for simple-object-storage
autobackup "volume=${VOLUME_NAME}" $1 $2 || _die "Failed to create backup"

echo "Backup complete: ${BACKUP_FILE}"
